.\"	$NetBSD: ebus.4,v 1.5 2003/05/06 18:59:20 wiz Exp $
.\"
.\" Copyright (c) 1999 Matthew R. Green
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
.\" BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
.\" AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
.\" OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd March 13, 2002
.Dt EBUS 4
.Os
.Sh NAME
.Nm EBus
.Nd introduction to SPARC EBus bus support and drivers
.Sh SYNOPSIS
.Cd "ebus* at pci?"
.Sh DESCRIPTION
The
.Nm
bus is designed to provide the ability to put ISA and traditional
Intel-style peripherals in a SPARC based system with a minimal amount
of glue logic.
Typically, it is implemented in the PCIO IC from SME, which also
implements a
.Xr hme 4
compatible PCI network device
.Pf ( Ql network ) .
The
.Nm
has four DMA channels, similar to the DMA seen in the
.Xr esp 4
.\" XXX: prevent SC-SI
.hw SCSI
SCSI DMA.
.Sh SEE ALSO
.Rs
.%A Sun Microelectronics
.%B Peripheral Component Interconnect Input Output Controller
.%V Part\ No.:\ 802-7837-01
.%D March 1997
.%O "http://www.sun.com/oem/products/manuals/802-7837.pdf"
.Re
